GNUNET-UPDATE(1)

NAME
gnunet-update - a tool to update GNUnet

SYNOPSIS
gnunet-update [OPTIONS]

DESCRIPTION

gnunet-update updates gnunets databases after software updates that change the database format.

-c FILENAME, --config=FILENAME
    load config file (default: /etc/gnunet.conf)

-g SECTION:ENTRY, --get=SECTION:ENTRY
    print the value from the configuration in section SECTION under entry ENTRY. Use :ENTRY to access the global section.

-h, --help
    print help page

-L LOGLEVEL, --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are NOTHING, FATAL, ERROR, WARNING, INFO, STATUS and DEBUG. Note that options in the configuration file take precedence over this option (the argument will be ignored in that case).

-U, --client
    run in client mode (required to get values from the client configuration). This option must be used only together with the -g option.

-u USER, --user=USER
    run as user USER (and if available as group USER). Note that to use this option, you will probably have to start gnunet-update as root. It is typically better to directly start gnunet-update as that user instead.

-v, --version
    print the version number

-V --verbose
    Be verbose.

NOTES
gnunet-update was introduced in version 0.6.3. Updates from much earlier versions may not be handled properly by the tool. Always consult the UPDATING file in the GNUnet distribution for the necessary update procedure.

FILES

~/.gnunet/gnunet.conf
    GNUnet configuration file

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunetd(1), gnunet-peer-info(1), gnunet-transport-check(1), gnunet.conf(5)